LinuxQuestions.org
Register a domain and help support LQ
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Server
User Name
Password
Linux - Server This forum is for the discussion of Linux Software used in a server related context.

Notices

Reply
 
Search this Thread
Old 05-01-2009, 05:19 AM   #1
moimel
Member
 
Registered: May 2009
Posts: 30

Rep: Reputation: 15
yum problem


hello,

I want to install wineHQ on my box but i'm facing difficulties, it says yum requires the dependency GLIBC 2.4 AND GNU HASH somthing:

my repos:
CentOS-Base.repo CentOS-Media.repo epel.repo epel-testing.repo fedora-extras.repo

Code:
yum install wine
Repository epel is listed more than once in the configuration
Repository epel-debuginfo is listed more than once in the configuration
Repository epel-source is listed more than once in the configuration
Setting up Install Process
Setting up repositories
epel                      100% |=========================| 2.1 kB    00:00
livna-stable              100% |=========================| 2.1 kB    00:00
update                    100% |=========================|  951 B    00:00
base                      100% |=========================| 1.1 kB    00:00
fedora-extras             100% |=========================| 1.1 kB    00:00
addons                    100% |=========================|  951 B    00:00
dribble                   100% |=========================|  951 B    00:00
extras                    100% |=========================| 1.1 kB    00:00
Reading repository metadata in from local files
primary.xml.gz            100% |=========================| 1.4 MB    00:06
sqlite cache needs updating, reading in metadata
epel      : ################################################## 4047/4047
primary.xml.gz            100% |=========================| 137 kB    00:01
sqlite cache needs updating, reading in metadata
update    : ################################################## 451/451
Parsing package install arguments
Resolving Dependencies
--> Populating transaction set with selected packages. Please wait.
---> Package wine.i386 0:1.0.1-1.el5 set to be updated
--> Running transaction check
--> Processing Dependency: wine-jack = 1.0.1-1.el5 for package: wine
--> Processing Dependency: wine-esd = 1.0.1-1.el5 for package: wine
--> Processing Dependency: wine-tools = 1.0.1-1.el5 for package: wine
--> Processing Dependency: wine-capi = 1.0.1-1.el5 for package: wine
--> Processing Dependency: wine-core = 1.0.1-1.el5 for package: wine
--> Processing Dependency: wine-cms = 1.0.1-1.el5 for package: wine
--> Processing Dependency: wine-nas = 1.0.1-1.el5 for package: wine
--> Processing Dependency: wine-desktop = 1.0.1-1.el5 for package: wine
--> Processing Dependency: wine-twain = 1.0.1-1.el5 for package: wine
--> Processing Dependency: wine-ldap = 1.0.1-1.el5 for package: wine
--> Restarting Dependency Resolution with new changes.
--> Populating transaction set with selected packages. Please wait.
---> Package wine-nas.i386 0:1.0.1-1.el5 set to be updated
---> Package wine-ldap.i386 0:1.0.1-1.el5 set to be updated
---> Package wine-core.i386 0:1.0.1-1.el5 set to be updated
---> Package wine-cms.i386 0:1.0.1-1.el5 set to be updated
---> Package wine-desktop.i386 0:1.0.1-1.el5 set to be updated
---> Package wine-twain.i386 0:1.0.1-1.el5 set to be updated
---> Package wine-esd.i386 0:1.0.1-1.el5 set to be updated
---> Package wine-tools.i386 0:1.0.1-1.el5 set to be updated
---> Package wine-jack.i386 0:1.0.1-1.el5 set to be updated
---> Package wine-capi.i386 0:1.0.1-1.el5 set to be updated
--> Running transaction check
--> Processing Dependency: liblcms.so.1 for package: wine-cms
--> Processing Dependency: libldap_r-2.3.so.0 for package: wine-ldap
--> Processing Dependency: rtld(GNU_HASH) for package: wine-core
--> Processing Dependency: rtld(GNU_HASH) for package: wine-capi
--> Processing Dependency: libc.so.6(GLIBC_2.4) for package: wine-cms
--> Processing Dependency: libc.so.6(GLIBC_2.4) for package: wine-capi
--> Processing Dependency: libc.so.6(GLIBC_2.4) for package: wine-core
--> Processing Dependency: libgphoto2_port.so.0 for package: wine-core
--> Processing Dependency: libgphoto2.so.2 for package: wine-core
--> Processing Dependency: rtld(GNU_HASH) for package: wine-jack
--> Processing Dependency: libGLU.so.1 for package: wine-core
--> Processing Dependency: libc.so.6(GLIBC_2.4) for package: wine-jack
--> Processing Dependency: rtld(GNU_HASH) for package: wine-twain
--> Processing Dependency: libc.so.6(GLIBC_2.4) for package: wine-ldap
--> Processing Dependency: rtld(GNU_HASH) for package: wine-nas
--> Processing Dependency: libc.so.6(GLIBC_2.4) for package: wine-twain
--> Processing Dependency: /usr/bin/xmessage for package: wine-core
--> Processing Dependency: rtld(GNU_HASH) for package: wine-cms
--> Processing Dependency: libc.so.6(GLIBC_2.4) for package: wine-tools
--> Processing Dependency: liblber-2.3.so.0 for package: wine-ldap
--> Processing Dependency: rtld(GNU_HASH) for package: wine-ldap
--> Processing Dependency: rtld(GNU_HASH) for package: wine-esd
--> Processing Dependency: rtld(GNU_HASH) for package: wine-tools
--> Restarting Dependency Resolution with new changes.
--> Populating transaction set with selected packages. Please wait.
---> Package xorg-x11-Mesa-libGLU.i386 0:6.8.2-1.EL.52 set to be updated
---> Package gphoto2.i386 0:2.1.4-7 set to be updated
--> Running transaction check
--> Processing Dependency: rtld(GNU_HASH) for package: wine-capi
--> Processing Dependency: libldap_r-2.3.so.0 for package: wine-ldap
--> Processing Dependency: libc.so.6(GLIBC_2.4) for package: wine-jack
--> Processing Dependency: rtld(GNU_HASH) for package: wine-twain
--> Processing Dependency: libc.so.6(GLIBC_2.4) for package: wine-core
--> Processing Dependency: liblber-2.3.so.0 for package: wine-ldap
--> Processing Dependency: libc.so.6(GLIBC_2.4) for package: wine-tools
--> Processing Dependency: libc.so.6(GLIBC_2.4) for package: wine-cms
--> Processing Dependency: liblcms.so.1 for package: wine-cms
--> Processing Dependency: libc.so.6(GLIBC_2.4) for package: wine-capi
--> Processing Dependency: rtld(GNU_HASH) for package: wine-jack
--> Processing Dependency: libc.so.6(GLIBC_2.4) for package: wine-ldap
--> Processing Dependency: libexif.so.9 for package: gphoto2
--> Processing Dependency: rtld(GNU_HASH) for package: wine-nas
--> Processing Dependency: rtld(GNU_HASH) for package: wine-esd
--> Processing Dependency: libc.so.6(GLIBC_2.4) for package: wine-twain
--> Processing Dependency: rtld(GNU_HASH) for package: wine-core
--> Processing Dependency: rtld(GNU_HASH) for package: wine-tools
--> Processing Dependency: /usr/bin/xmessage for package: wine-core
--> Processing Dependency: rtld(GNU_HASH) for package: wine-cms
--> Processing Dependency: rtld(GNU_HASH) for package: wine-ldap
--> Restarting Dependency Resolution with new changes.
--> Populating transaction set with selected packages. Please wait.
---> Package libexif.i386 0:0.5.12-5.1.0.2.el4_6.1 set to be updated
--> Running transaction check
--> Processing Dependency: rtld(GNU_HASH) for package: wine-capi
--> Processing Dependency: libldap_r-2.3.so.0 for package: wine-ldap
--> Processing Dependency: libc.so.6(GLIBC_2.4) for package: wine-jack
--> Processing Dependency: rtld(GNU_HASH) for package: wine-twain
--> Processing Dependency: libc.so.6(GLIBC_2.4) for package: wine-core
--> Processing Dependency: liblber-2.3.so.0 for package: wine-ldap
--> Processing Dependency: libc.so.6(GLIBC_2.4) for package: wine-tools
--> Processing Dependency: libc.so.6(GLIBC_2.4) for package: wine-cms
--> Processing Dependency: liblcms.so.1 for package: wine-cms
--> Processing Dependency: libc.so.6(GLIBC_2.4) for package: wine-capi
--> Processing Dependency: rtld(GNU_HASH) for package: wine-jack
--> Processing Dependency: libc.so.6(GLIBC_2.4) for package: wine-ldap
--> Processing Dependency: rtld(GNU_HASH) for package: wine-nas
--> Processing Dependency: rtld(GNU_HASH) for package: wine-esd
--> Processing Dependency: libc.so.6(GLIBC_2.4) for package: wine-twain
--> Processing Dependency: rtld(GNU_HASH) for package: wine-core
--> Processing Dependency: rtld(GNU_HASH) for package: wine-tools
--> Processing Dependency: /usr/bin/xmessage for package: wine-core
--> Processing Dependency: rtld(GNU_HASH) for package: wine-cms
--> Processing Dependency: rtld(GNU_HASH) for package: wine-ldap
--> Finished Dependency Resolution
Error: Missing Dependency: liblcms.so.1 is needed by package wine-cms
Error: Missing Dependency: libldap_r-2.3.so.0 is needed by package wine-ldap
Error: Missing Dependency: rtld(GNU_HASH) is needed by package wine-core
Error: Missing Dependency: rtld(GNU_HASH) is needed by package wine-capi
Error: Missing Dependency: libc.so.6(GLIBC_2.4) is needed by package wine-cms
Error: Missing Dependency: libc.so.6(GLIBC_2.4) is needed by package wine-capi
Error: Missing Dependency: libc.so.6(GLIBC_2.4) is needed by package wine-core
Error: Missing Dependency: rtld(GNU_HASH) is needed by package wine-jack
Error: Missing Dependency: libc.so.6(GLIBC_2.4) is needed by package wine-jack
Error: Missing Dependency: rtld(GNU_HASH) is needed by package wine-twain
Error: Missing Dependency: libc.so.6(GLIBC_2.4) is needed by package wine-ldap
Error: Missing Dependency: rtld(GNU_HASH) is needed by package wine-nas
Error: Missing Dependency: libc.so.6(GLIBC_2.4) is needed by package wine-twain
Error: Missing Dependency: /usr/bin/xmessage is needed by package wine-core
Error: Missing Dependency: rtld(GNU_HASH) is needed by package wine-cms
Error: Missing Dependency: libc.so.6(GLIBC_2.4) is needed by package wine-tools
Error: Missing Dependency: liblber-2.3.so.0 is needed by package wine-ldap
Error: Missing Dependency: rtld(GNU_HASH) is needed by package wine-ldap
Error: Missing Dependency: rtld(GNU_HASH) is needed by package wine-esd
Error: Missing Dependency: rtld(GNU_HASH) is needed by package wine-tools
My box is:

Linux version 2.6.9-42.ELsmp (buildcentos@build-i386) (gcc version 3.4.6 20060404 (Red Hat 3.4.6-3)) #1 SMP Sat Aug 12 09:39:11 CDT 2006

TIA!
 
Old 05-02-2009, 01:10 AM   #2
John VV
Guru
 
Registered: Aug 2005
Posts: 12,804

Rep: Reputation: 1705Reputation: 1705Reputation: 1705Reputation: 1705Reputation: 1705Reputation: 1705Reputation: 1705Reputation: 1705Reputation: 1705Reputation: 1705Reputation: 1705
can you post the output of
Code:
yum repolist
 
Old 05-02-2009, 03:48 PM   #3
moimel
Member
 
Registered: May 2009
Posts: 30

Original Poster
Rep: Reputation: 15
no output for yum repolist

Code:
usage: yum [options] < update | install | info | remove | list |
    clean | provides | search | check-update | groupinstall |
    groupupdate | grouplist | groupinfo | groupremove |
    makecache | localinstall | erase | upgrade | whatprovides |
    localupdate | resolvedep | shell | deplist >

options:
  -h, --help            show this help message and exit
  -t, --tolerant        be tolerant of errors
  -C                    run entirely from cache, don't update cache
  -c [config file]      config file location
  -R [minutes]          maximum command wait time
  -d [debug level]      debugging output level
  -e [error level]      error output level
  -y                    answer yes for all questions
  --version             show Yum version and exit
  --installroot=[path]  set install root
  --enablerepo=[repo]   enable one or more repositories (wildcards allowed)
  --disablerepo=[repo]  disable one or more repositories (wildcards allowed)
  --exclude=[package]   exclude package(s) by name or glob
  --obsoletes           enable obsoletes processing during updates
  --noplugins           disable Yum plugins
 
Old 05-02-2009, 07:26 PM   #4
John VV
Guru
 
Registered: Aug 2005
Posts: 12,804

Rep: Reputation: 1705Reputation: 1705Reputation: 1705Reputation: 1705Reputation: 1705Reputation: 1705Reputation: 1705Reputation: 1705Reputation: 1705Reputation: 1705Reputation: 1705
i am wondering if you are having a incompatibility problem with "fedora-extras.repo"
the fedora rpm's WILL KILL rhel 5 ( or centos 5 ) they are NOT MEANT to be used on rhel
 
Old 05-03-2009, 01:32 AM   #5
moimel
Member
 
Registered: May 2009
Posts: 30

Original Poster
Rep: Reputation: 15
btw what is my centos version?

should i upgrade my linux kernal & gcc version?
 
  


Reply

Tags
glibc, yum


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
Problem Installing Yum: "No module named yum" braclayrab Linux - Newbie 9 08-04-2009 06:57 PM
yum header/pidof yum problem yohmie Fedora 3 03-24-2009 07:54 AM
problem after yum yum yum (delicious) alaios Fedora 3 01-14-2009 02:34 AM
problem doing yum updates and what may be a similar problem installing vlm bad horsie Linux - Newbie 3 12-27-2008 02:51 AM
Yum Problem - /var/cache/yum/base/primary.xml.gz:1 ice99 Linux - Software 0 12-15-2005 01:08 PM


All times are GMT -5. The time now is 03:17 AM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration